HTMLScanner.LocationItem (NekoHTML 1.9.20 Implementation)
Date: 2014-02-13

org.cyberneko.html

## Class HTMLScanner.LocationItem

- java.lang.Object
- - org.cyberneko.html.HTMLScanner.LocationItem

- All Implemented Interfaces:
    java.lang.Cloneable, HTMLEventInfo
  Enclosing class:
    HTMLScanner

      protected static class HTMLScanner.LocationItem
      extends java.lang.Object
      implements HTMLEventInfo, java.lang.Cloneable

  Location infoset item.
  Author:
    Andy Clark

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.cyberneko.html.HTMLEventInfo

      `HTMLEventInfo.SynthesizedItem`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `fBeginCharacterOffset` Beginning character offset.
    `protected int` | `fBeginColumnNumber` Beginning column number.
    `protected int` | `fBeginLineNumber` Beginning line number.
    `protected int` | `fEndCharacterOffset` Ending character offset.
    `protected int` | `fEndColumnNumber` Ending column number.
    `protected int` | `fEndLineNumber` Ending line number.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLScanner.LocationItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBeginCharacterOffset()` Returns the character offset of the beginning of this event.
    `int` | `getBeginColumnNumber()` Returns the column number of the beginning of this event.
    `int` | `getBeginLineNumber()` Returns the line number of the beginning of this event.
    `int` | `getEndCharacterOffset()` Returns the character offset of the end of this event.
    `int` | `getEndColumnNumber()` Returns the column number of the end of this event.
    `int` | `getEndLineNumber()` Returns the line number of the end of this event.
    `boolean` | `isSynthesized()` Returns true if this corresponding event was synthesized.
    `void` | `setValues(int beginLine, int beginColumn, int beginOffset, int endLine, int endColumn, int endOffset)` Sets the values of this item.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fBeginLineNumber

          protected int fBeginLineNumber

      Beginning line number.

    - #### fBeginColumnNumber

          protected int fBeginColumnNumber

      Beginning column number.

    - #### fBeginCharacterOffset

          protected int fBeginCharacterOffset

      Beginning character offset.

    - #### fEndLineNumber

          protected int fEndLineNumber

      Ending line number.

    - #### fEndColumnNumber

          protected int fEndColumnNumber

      Ending column number.

    - #### fEndCharacterOffset

          protected int fEndCharacterOffset

      Ending character offset.

  - ### Constructor Detail

    - #### HTMLScanner.LocationItem

          public HTMLScanner.LocationItem()

  - ### Method Detail

    - #### setValues

          public void setValues(int beginLine,
                       int beginColumn,
                       int beginOffset,
                       int endLine,
                       int endColumn,
                       int endOffset)

      Sets the values of this item.

    - #### getBeginLineNumber

          public int getBeginLineNumber()

      Returns the line number of the beginning of this event.
      Specified by:
        `getBeginLineNumber` in interface `HTMLEventInfo`

    - #### getBeginColumnNumber

          public int getBeginColumnNumber()

      Returns the column number of the beginning of this event.
      Specified by:
        `getBeginColumnNumber` in interface `HTMLEventInfo`

    - #### getBeginCharacterOffset

          public int getBeginCharacterOffset()

      Returns the character offset of the beginning of this event.
      Specified by:
        `getBeginCharacterOffset` in interface `HTMLEventInfo`

    - #### getEndLineNumber

          public int getEndLineNumber()

      Returns the line number of the end of this event.
      Specified by:
        `getEndLineNumber` in interface `HTMLEventInfo`

    - #### getEndColumnNumber

          public int getEndColumnNumber()

      Returns the column number of the end of this event.
      Specified by:
        `getEndColumnNumber` in interface `HTMLEventInfo`

    - #### getEndCharacterOffset

          public int getEndCharacterOffset()

      Returns the character offset of the end of this event.
      Specified by:
        `getEndCharacterOffset` in interface `HTMLEventInfo`

    - #### isSynthesized

          public boolean isSynthesized()

      Returns true if this corresponding event was synthesized.
      Specified by:
        `isSynthesized` in interface `HTMLEventInfo`

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`

(C) Copyright 2002-2014, Andy Clark, Marc Guillemot. All rights reserved.